Package voltage.core

# Enum Class VoltageModule.IOPanelValues

java.lang.Object
java.lang.Enum<VoltageModule.IOPanelValues>
voltage.core.VoltageModule.IOPanelValues

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageModule.IOPanelValues>`, `Constable`

Enclosing class:
  `VoltageModule`

public static enum VoltageModule.IOPanelValues extends Enum<VoltageModule.IOPanelValues>
Enumeration used to access I/O panel audio/CV jacks.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IOPanel_Aftertouch`
  `IOPanel_Bend`
  `IOPanel_Gate`
  `IOPanel_ModWheel`
  `IOPanel_Pitch`
  `IOPanel_Play`
  `IOPanel_PlayGate`
  `IOPanel_Stop`
  `IOPanel_Sustain`
  `IOPanel_Sync`
  `IOPanel_Trigger`
  `IOPanel_Velocity`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageModule.IOPanelValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageModule.IOPanelValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IOPanel_Pitch

    public static final VoltageModule.IOPanelValues IOPanel_Pitch

  - ### IOPanel_Gate

    public static final VoltageModule.IOPanelValues IOPanel_Gate

  - ### IOPanel_Trigger

    public static final VoltageModule.IOPanelValues IOPanel_Trigger

  - ### IOPanel_Velocity

    public static final VoltageModule.IOPanelValues IOPanel_Velocity

  - ### IOPanel_Aftertouch

    public static final VoltageModule.IOPanelValues IOPanel_Aftertouch

  - ### IOPanel_Sustain

    public static final VoltageModule.IOPanelValues IOPanel_Sustain

  - ### IOPanel_Bend

    public static final VoltageModule.IOPanelValues IOPanel_Bend

  - ### IOPanel_ModWheel

    public static final VoltageModule.IOPanelValues IOPanel_ModWheel

  - ### IOPanel_Play

    public static final VoltageModule.IOPanelValues IOPanel_Play

  - ### IOPanel_Stop

    public static final VoltageModule.IOPanelValues IOPanel_Stop

  - ### IOPanel_Sync

    public static final VoltageModule.IOPanelValues IOPanel_Sync

  - ### IOPanel_PlayGate

    public static final VoltageModule.IOPanelValues IOPanel_PlayGate

- ## Method Details

  - ### values

    public static VoltageModule.IOPanelValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageModule.IOPanelValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null